petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecScatter

Object used to manage communication of data between vectors in parallel. Manages both scatters and gathers

### Synopsis

    typedef struct _p_VecScatter*  VecScatter;

Many br

### See Also

VecScatterCreate(), VecScatterBegin(), VecScatterEnd()

Level:beginner
Location:src/vec/vec/../../../include/petscvec.h
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex4.c.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html